{
  "meta": {
    "stableOrder": true,
    "enableUnifiedLockfile": false
  },
  "lockfileVersion": 3,
  "ATTENTION": "THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.",
  "specifiers": {
    "@ohos/hamock@1.0.0": "@ohos/hamock@1.0.0",
    "@ohos/hypium@1.0.21": "@ohos/hypium@1.0.21",
    "@shanyan/shanyansdk@oh_modules/.ohpm/fastsdk@1.0.1-rc2/oh_modules/fastsdk/libs/ShanYanSDK-signed.har": "@shanyan/shanyansdk@oh_modules/.ohpm/fastsdk@1.0.1-rc2/oh_modules/fastsdk/libs/ShanYanSDK-signed.har",
    "cmccssosdk@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/quick_login_hm_1.0.6.har": "cmccssosdk@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/quick_login_hm_1.0.6.har",
    "core@^1.0.26": "core@1.0.26",
    "ctaccount@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/ctaccount.har": "ctaccount@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/ctaccount.har",
    "dljson@oh_modules/.ohpm/ctaccount@qccjk9bmoqtng+2vpbi+2wqjznsjx4thqhodhlvlvn0=/oh_modules/ctaccount/library/dlJson.har": "dljson@oh_modules/.ohpm/ctaccount@qccjk9bmoqtng+2vpbi+2wqjznsjx4thqhodhlvlvn0=/oh_modules/ctaccount/library/dlJson.har",
    "fastsdk@^1.0.1-rc2": "fastsdk@1.0.1-rc2",
    "libaccess.so@oh_modules/.ohpm/core@1.0.26/oh_modules/core/src/main/cpp/types/libaccess": "libaccess.so@oh_modules/.ohpm/core@1.0.26/oh_modules/core/src/main/cpp/types/libaccess",
    "pako@^2.1.0": "pako@2.1.0",
    "unicom_login_harmony@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/unicom_login_harmony_v1.0.4AR001B0214.har": "unicom_login_harmony@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/unicom_login_harmony_v1.0.4AR001B0214.har"
  },
  "packages": {
    "@ohos/hamock@1.0.0": {
      "name": "",
      "version": "1.0.0",
      "integrity": "sha512-K6lDPYc6VkKe6ZBNQa9aoG+ZZMiwqfcR/7yAVFSUGIuOAhPvCJAo9+t1fZnpe0dBRBPxj2bxPPbKh69VuyAtDg==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/hamock/-/hamock-1.0.0.har",
      "registryType": "ohpm"
    },
    "@ohos/hypium@1.0.21": {
      "name": "",
      "version": "1.0.21",
      "integrity": "sha512-iyKGMXxE+9PpCkqEwu0VykN/7hNpb+QOeIuHwkmZnxOpI+dFZt6yhPB7k89EgV1MiSK/ieV/hMjr5Z2mWwRfMQ==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/hypium/-/hypium-1.0.21.har",
      "registryType": "ohpm"
    },
    "@shanyan/shanyansdk@oh_modules/.ohpm/fastsdk@1.0.1-rc2/oh_modules/fastsdk/libs/ShanYanSDK-signed.har": {
      "name": "@shanyan/shanyansdk",
      "version": "1.0.4",
      "resolved": "oh_modules/.ohpm/fastsdk@1.0.1-rc2/oh_modules/fastsdk/libs/ShanYanSDK-signed.har",
      "registryType": "local",
      "dependencies": {
        "unicom_login_harmony": "file:./libs/unicom_login_harmony_v1.0.4AR001B0214.har",
        "ctaccount": "file:./libs/ctaccount.har",
        "cmccssosdk": "file:./libs/quick_login_hm_1.0.6.har",
        "pako": "^2.1.0"
      }
    },
    "cmccssosdk@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/quick_login_hm_1.0.6.har": {
      "name": "",
      "version": "1.0.6",
      "integrity": "",
      "resolved": "",
      "registryType": "local"
    },
    "core@1.0.26": {
      "name": "",
      "version": "1.0.26",
      "integrity": "sha512-RumTxlOC2DEsd3tft0y4+HpuWpELYELk8G+DqWMsWfiGKHE08Auvzqc21FVht8dBFDMUfwPundLGznOzXoMAdQ==",
      "resolved": "https://ohrepo.hoolai.com/repos/ohpm/core/-/core-1.0.26.har",
      "registryType": "ohpm",
      "dependencies": {
        "libaccess.so": "file:./src/main/cpp/types/libaccess"
      }
    },
    "ctaccount@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/ctaccount.har": {
      "name": "",
      "version": "1.1.2",
      "integrity": "",
      "resolved": "",
      "registryType": "local",
      "dependencies": {
        "dljson": "file:library/dlJson.har"
      }
    },
    "dljson@oh_modules/.ohpm/ctaccount@qccjk9bmoqtng+2vpbi+2wqjznsjx4thqhodhlvlvn0=/oh_modules/ctaccount/library/dlJson.har": {
      "name": "",
      "version": "0.0.5",
      "integrity": "",
      "resolved": "",
      "registryType": "local"
    },
    "fastsdk@1.0.1-rc2": {
      "name": "",
      "version": "1.0.1-rc2",
      "integrity": "sha512-3F1pT7kaSEuUIuu9dssI8UhmCi1Gdk+evnbnPNCylciKAMdKsk6uKBJnRGTQxNWp6c3ItdjPDszqpAkrhXmwJg==",
      "resolved": "https://ohrepo.hoolai.com/repos/ohpm/fastsdk/-/fastsdk-1.0.1-rc2.har",
      "registryType": "ohpm",
      "dependencies": {
        "@shanyan/shanyansdk": "file:./libs/ShanYanSDK-signed.har"
      }
    },
    "libaccess.so@oh_modules/.ohpm/core@1.0.26/oh_modules/core/src/main/cpp/types/libaccess": {
      "name": "libaccess.so",
      "version": "1.0.0",
      "resolved": "",
      "registryType": "local"
    },
    "pako@2.1.0": {
      "name": "",
      "version": "2.1.0",
      "integrity": "sha512-w+eufiZ1WuJYgPXbV/PO3NCMEc3xqylkKHzp8bxp1uW4qaSNQUkwmLLEc3kKsfz8lpV1F8Ht3U1Cm+9Srog2ug==",
      "resolved": "https://ohrepo.hoolai.com/repos/api/uplink-storage/open_harmony/pako/-/2.1.0",
      "shasum": "266cc37f98c7d883545d11335c00fbd4062c9a86",
      "registryType": "ohpm"
    },
    "unicom_login_harmony@oh_modules/.ohpm/@shanyan+shanyansdk@ujh3ust1dee5hftvs0poqjguqpkkdwsj3mmijifb+4u=/oh_modules/@shanyan/shanyansdk/libs/unicom_login_harmony_v1.0.4AR001B0214.har": {
      "name": "",
      "version": "1.0.4",
      "integrity": "",
      "resolved": "",
      "registryType": "local"
    }
  }
}